<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for key in app package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  key module in app package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Key',
    'names' => 'Keys',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Keys',
        'sub' => 'Keys'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'portal',
                    'value'  => 'portal',
                    'text'   => 'portal',
                ],
                                
                [
                    'key'    => 'lead',
                    'value'  => 'lead',
                    'text'   => 'lead',
                ],
                                
                [
                    'key'    => 'product',
                    'value'  => 'product',
                    'text'   => 'product',
                ],
                                
                [
                    'key'    => 'opportunity',
                    'value'  => 'opportunity',
                    'text'   => 'opportunity',
                ],
                                
                [
                    'key'    => 'call',
                    'value'  => 'call',
                    'text'   => 'call',
                ],
                                
                [
                    'key'    => 'follow-up',
                    'value'  => 'follow-up',
                    'text'   => 'follow-up',
                ],
                                
                [
                    'key'    => 'calendar',
                    'value'  => 'calendar',
                    'text'   => 'calendar',
                ],
                                
                [
                    'key'    => 'project',
                    'value'  => 'project',
                    'text'   => 'project',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'app_id'                     => 'Please enter app id',
        'key'                        => 'Please enter key',
        'type'                       => 'Please select type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'app_id'                     => 'App id',
        'key'                        => 'Key',
        'type'                       => 'Type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    ];
