<?php

// Routes for app.

// Guard routes for app
Route::prefix('{guard}/app')->group(function () {

    Route::patch('app/workflow/{app}/{transition}', 'AppWorkflowController');
    Route::resource('app', 'AppResourceController');
});

// Guard routes for key
Route::prefix('{guard}/app')->group(function () {

    Route::patch('key/workflow/{key}/{transition}', 'KeyWorkflowController');
    Route::resource('key', 'KeyResourceController');
});



// Public routes for app
Route::get('apps/', 'AppPublicController@index');
Route::get('app/{slug?}', 'AppPublicController@show');
