<?php

// Web routes  for app.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for app

Route::prefix('{guard}/app')->group(function () {

    Route::get('/workflow/{app}/{user}', 'AppWorkflowController@get')
        ->name('bixo.app.workflow');
    Route::post('/workflow/{app}/{user}', 'AppWorkflowController@post');


});


// Workflow routes for key

Route::prefix('{guard}/key')->group(function () {

    Route::get('/workflow/{key}/{user}', 'KeyWorkflowController@get')
        ->name('bixo.app.workflow');
    Route::post('/workflow/{key}/{user}', 'KeyWorkflowController@post');


});

