<?php

namespace Bixo\App\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\App\Models\App::class 
                => config('bixo.app.app.workflow')        \Bixo\App\Models\Key::class 
                => config('bixo.app.key.workflow')
            ];
    }

}
